qt-odbc-4.8.7-45.fc29.i686.rpm


Advertisement

Description

qt-odbc - ODBC driver for Qt's SQL classes

Property Value
Distribution Fedora 29
Repository Fedora Updates i386
Package filename qt-odbc-4.8.7-45.fc29.i686.rpm
Package name qt-odbc
Package version 4.8.7
Package release 45.fc29
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://qt-project.org/
License (LGPLv2 with exceptions or GPLv3 with exceptions) and ASL 2.0 and BSD and FTL and MIT
Maintainer -
Download size 54.49 KB
Installed size 132.05 KB
ODBC driver for Qt's SQL classes.

Alternatives

Package Version Architecture Repository
qt-odbc-4.8.7-45.fc29.x86_64.rpm 4.8.7 x86_64 Fedora Updates
qt-odbc-4.8.7-45.fc29.i686.rpm 4.8.7 i686 Fedora Updates
qt-odbc-4.8.7-41.fc29.x86_64.rpm 4.8.7 x86_64 Fedora
qt-odbc-4.8.7-41.fc29.i686.rpm 4.8.7 i686 Fedora
qt-odbc-4.8.7-41.fc29.i686.rpm 4.8.7 i686 Fedora
qt-odbc - - -

Requires

Name Value
libQtCore.so.4 -
libQtSql.so.4 -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libodbc.so.2 -
libpthread.so.0 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
qt(x86-32) = 4.8.7-45.fc29
rtld(GNU_HASH) -

Provides

Name Value
libqsqlodbc.so -
qt-odbc = 4.8.7-45.fc29
qt-odbc(x86-32) = 4.8.7-45.fc29
qt4-ODBC = 4.8.7-45.fc29
qt4-odbc = 4.8.7-45.fc29
qt4-odbc(x86-32) = 4.8.7-45.fc29

Obsoletes

Name Value
qt4-ODBC < 4.8.7-45.fc29
qt4-odbc < 4.8.7-45.fc29

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package qt-odbc-4.8.7-45.fc29.i686.rpm
Source Package qt-4.8.7-45.fc29.src.rpm

Install Howto

Install qt-odbc rpm package:

# dnf install qt-odbc

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/30/d1acec96ca336ac290625423af60e661cd532e
/usr/lib/qt4/plugins/sqldrivers/libqsqlodbc.so

Changelog

2019-03-22 - Than Ngo <than@redhat.com> - 4.8.7-45
- fixed #1691638 - CVE-2018-19872 qt: malformed PPM image causing division by zero and crash in qppmhandler.cpp
2018-10-19 - Kevin Kofler <Kevin@tigcc.ticalc.org> - 1:4.8.7-44
- fix QAudio hardcoding hw:0,0 on ALSA1.1 (patch by Jaroslav Škarvada, #1641151)
- disable OpenSSL 1.1 patch for F27, keep building against compat-openssl10
(It really does not make sense to switch over the F27 package at this point.)
2018-09-21 - Owen Taylor <otaylor@redhat.com> - 1:4.8.7-43
- Disable qtchooser for Flatpak builds
2018-07-21 - Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.7-42
- drop BR: pkgconfig(NetworkManager) (#1606047)
- use %make_build %ldconfig
2018-07-14 - Fedora Release Engineering <releng@fedoraproject.org> - 1:4.8.7-41
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-05-19 - Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.7-40
- build only qtscript using -O1 (#1580047)
2018-05-19 - Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.7-39
- workaround qtscript/gcc8 bug (#1580047)

See Also

Package Description
qt-postgresql-4.8.7-45.fc29.i686.rpm PostgreSQL driver for Qt's SQL classes
qt-qdbusviewer-4.8.7-45.fc29.i686.rpm D-Bus debugger and viewer
qt-qvfb-4.8.7-45.fc29.i686.rpm Virtual frame buffer for Qt for Embedded Linux
qt-remote-viewer-0.70.91-1.fc29.i686.rpm Qt Remote Viewer
qt-settings-29.1-1.fc29.noarch.rpm Configuration files for Qt
qt-tds-4.8.7-45.fc29.i686.rpm TDS driver for Qt's SQL classes
qt-virt-manager-0.70.91-1.fc29.i686.rpm Qt Virtual Machine Manager
qt-x11-4.8.7-45.fc29.i686.rpm Qt GUI-related libraries
qt4-style-oxygen-5.14.5-1.fc29.i686.rpm Oxygen widget style for Qt 4
qt5-5.11.3-1.fc29.noarch.rpm Qt5 meta package
qt5-assistant-5.11.3-1.fc29.i686.rpm Documentation browser for Qt5
qt5-designer-5.11.3-1.fc29.i686.rpm Design GUIs for Qt5 applications
qt5-devel-5.11.3-1.fc29.noarch.rpm Qt5 meta devel package
qt5-doctools-5.11.3-1.fc29.i686.rpm Qt5 doc tools package
qt5-linguist-5.11.3-1.fc29.i686.rpm Qt5 Linguist Tools
Advertisement
Advertisement